using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using TypographyContracts.BindingModels;
using TypographyContracts.SearchModels;
using TypographyContracts.ViewModels;

namespace TypographyContracts.StoragesContracts
{
    public interface IPrintedStorage
    {
        List<PrintedViewModel> GetFullList();
        List<PrintedViewModel> GetFilteredList(PrintedSearchModel model);
        PrintedViewModel? GetElement(PrintedSearchModel model);
        PrintedViewModel? Insert(PrintedBindingModel model);
        PrintedViewModel? Update(PrintedBindingModel model);
        PrintedViewModel? Delete(PrintedBindingModel model);
    }
}
